0

did an upgrade from 12.04 via 12.10 to 13.04. Every upgraded fine but the kernel did not. I am stuck with 3.2.0.52. I decided to leave it for the time being but now mysql did an autoupgrade and that crashed leaving me without mysql-server.
install -f gives following output:

# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
8 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up linux-image-3.8.0-28-generic (3.8.0-28.41) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.8.0-28-generic /boot/vmlinuz-3.8.0-28-generic
run-parts: executing /etc/kernel/postinst.d/dkms 3.8.0-28-generic /boot/vmlinuz-3.8.0-28-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.8.0-28-generic /boot/vmlinuz-3.8.0-28-generic
update-initramfs: Generating /boot/initrd.img-3.8.0-28-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.8.0-28-generic /boot/vmlinuz-3.8.0-28-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.8.0-28-generic /boot/vmlinuz-3.8.0-28-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.8.0-28-generic /boot/vmlinuz-3.8.0-28-generic
Generating grub.cfg ...
run-parts: /etc/kernel/postinst.d/zz-update-grub exited with return code 1
Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.8.0-28-generic.postinst line 1010.
dpkg: error processing linux-image-3.8.0-28-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up mysql-server-5.5 (5.5.32-0ubuntu0.13.04.2) ...
start: Job failed to start
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing mysql-server-5.5 (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up memtest86+ (4.20-1.1ubuntu3) ...
Generating grub.cfg ...
dpkg: error processing memtest86+ (--configure):
 subprocess installed post-installation script returned error exit status 1
Setting up grub-pc (2.00-13ubuntu3) ...
Installation finished. No error reported.
Generating grub.cfg ...
dpkg: error processing grub-pc (--configure):
 subprocess installed post-installation script returned error exit status 1
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of linux-image-extra-3.8.0-28-generic:
 linux-image-extra-3.8.0-28-generic depends on linux-image-3.8.0-28-generic; however:
  Package linux-image-3.8.0-28-generic is not configured yet.

dpkg: error processing linux-image-extra-3.8.0-28-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-3.8.0-28-generic; however:
  Package linux-image-3.8.0-28-generic is not configured yet.
 linux-image-generic depends on linux-image-extra-3.8.0-28-generic; however:
  Package linux-image-extra-3.8.0-28-generic is not configured yet.

dpkg: error processing linux-image-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 3.8.0.28.46); however:
  Package linux-image-generic is not configured yet.

dpkg: error processing linux-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              dpkg: dependency problems prevent configuration of mysql-server:
 mysql-server depends on mysql-server-5.5; however:
  Package mysql-server-5.5 is not configured yet.

dpkg: error processing mysql-server (--configure):
 dependency problems - leaving unconfigured
No apport report written because MaxReports is reached already
                                                              Errors were encountered while processing:
 linux-image-3.8.0-28-generic
 mysql-server-5.5
 memtest86+
 grub-pc
 linux-image-extra-3.8.0-28-generic
 linux-image-generic
 linux-generic
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Please advice

1 Answer 1

0

I had the same problem. Just restore the file /etc/init/mysql.conf from the previous version and it will start/stop fine.

If you do not have prior config file, then just replace pre-start section with this:

pre-start script
    #Sanity checks
    [ -r $HOME/my.cnf ]
    [ -d /var/run/mysqld ] || install -m 755 -o mysql -g root -d /var/run/mysqld
    /lib/init/apparmor-profile-load usr.sbin.mysqld
    LC_ALL=C BLOCKSIZE= df --portability /var/lib/mysql/. | tail -n 1 | awk '{ exit ($4<4096) }'
end script

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .